## toshutils 2.0.1

=== contrib/tosh_lcd/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in -- template makefile for compiling the Toshiba Linux Utiltites
#
# Copyright 1997-2000  Jonathan A. Buzzard (jonathan@buzzard.org.uk)
# Copyright 1997-2000  Jonathan A. Buzzard (jonathan@buzzard.org.uk)
#
# $Log: Makefile.in,v $
# Revision 1.1  1999/12/17 12:37:48  jab
# Initial revision
#
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software 
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#

VERSION=1.9.9
PROGRAMS = tosh_lcd 

INSTALL = /usr/bin/install -c
BININSTALL = ${INSTALL}
MANINSTALL = ${INSTALL} -m 644
prefix = /usr/local
BINDESTDIR = /usr/local/bin
MANDESTDIR = ${prefix}/man
YACC = bison -y
LEX = flex
LEXLIB = -lfl
MODDIR = /lib/modules/`uname -r`/misc

CC = gcc
LD = ld
LDFLAGS = -s
KERNEL = -D__KERNEL__ -DKERNEL -DMODULE 
CFLAGS = -m486 -O2 -Wall -I../../src -DLINUX  -I/usr/X11R6/include -I/usr/lib/glib/include

LCD_OBJS = tosh_lcd.o
OBJS = $(LCD_OBJS)

LNK_OBJS = ../../src/sci.o 

XLIBS = -L/usr/X11R6/lib -lX11
WMLIBS = -L/usr/X11R6/lib -lXpm -lX11 -lXext
GTKLIBS = -L/usr/lib -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXext -lX11 -lm
GTKFLAGS = -I/usr/X11R6/include -I/usr/lib/glib/include
XMESSAGE = /usr/X11R6/bin/xmessage
WALL = /usr/bin/wall

.c.o:
	$(CC) $(CFLAGS) -DVERSION=\"$(VERSION)\" -DBINDIR=\"$(BINDESTDIR)\"\
	-DXMESSAGE=\"$(XMESSAGE)\" -DWALL=\"$(WALL)\" -c $<


all: $(PROGRAMS) 

tosh_lcd: $(LCD_OBJS)
	$(CC) $(LDFLAGS) -o $@ $(LCD_OBJS) $(LNK_OBJS)

install: all
	if [ "`ls -l /dev/toshiba 2>/dev/null | awk '{print $$6}'`" != "181" ] \
		; then rm -f/dev/toshiba ; mknod -m 666 /dev/toshiba c 10 181 ; fi
	$(BININSTALL) toshiba.o $(MODDIR)
	$(BININSTALL) -m 755 $(PROGRAMS) $(BINDESTDIR)
	chmod 4755 $(BINDESTDIR)/thotswap	
	if ! modprobe -c | grep -q 'alias char-major-10-181 toshiba' ; then \
		if [ -r /etc/modutils/aliases ] ; then \
			echo 'alias char-major-10-181 toshiba' \
				>> /etc/modutils/aliases ; \
			/sbin/update-modules ; \
		else \
			echo 'alias char-major-10-181 toshiba' \
				>> /etc/conf.modules ; \
		fi ; \
	fi

clean:
	rm -f *.o *.bak $(PROGRAMS) core  a.out

distclean: clean
	rm -f Makefile

depend:
	cp Makefile Makefile.bak
	sed '/^#----- dependences -----/q' Makefile.bak >Makefile
	echo >>Makefile
	$(CC) $(CFLAGS) -M $(OBJS:.o=.c) |\
	sed 's/\/usr\/[^ ]* *//g;/^  \\$$/d' |\
	grep -v '^ \\$$' >>Makefile

#----- dependences -----

tosh_lcd.o: tosh_lcd.c \
 ../../src/sci.h ../../src/toshiba.h

## toshutils 2.0.1+debian

=== contrib/kernel/Makefile ===
# Makefile -- makefile for the Linux Toshiba SMM driver for 2.0.x series kernels
#
# Copyright 1997-2001  Jonathan A. Buzzard (jonathan@buzzard.org.uk)
#

CC = gcc
KERNEL = -D__KERNEL__ -DKERNEL -DMODULE
MODDIR = /lib/modules/`uname -r`/misc
INSTALL = /usr/bin/install -c

all: toshiba.o

toshiba.o: toshiba.c
	$(CC) -m486 -O2 -Wall $(KERNEL) -c toshiba.c -o $@

install: all
	if [ "`ls -l /dev/toshiba 2>/dev/null | awk '{print $$6}'`" != "181" ] \
		; then rm -f/dev/toshiba ; mknod -m 666 /dev/toshiba c 10 181 ; fi
	$(INSTALL) -m 644 toshiba.o $(MODDIR)
	if ! modprobe -c | grep -q 'alias char-major-10-181 toshiba' ; then \
		if [ -r /etc/modutils/aliases ] ; then \
			echo 'alias char-major-10-181 toshiba' \
				>> /etc/modutils/aliases ; \
			/sbin/update-modules ; \
		elif [ -r /etc/modules.conf ] ; then \
			echo 'alias char-major-10-181 toshiba' \
				>> /etc/modules.conf ; \
		elif [ -r /etc/conf.modules ] ; then \
			echo 'alias char-major-10-181 toshiba' \
				>> /etc/conf.modules ; \
		fi ; \
	fi

clean:
	rm -f *.o *.bak core a.out kernel.o

## toshutils 2.0.1-2

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in  -- master makefile template for the Toshiba Linux Utilities
#
# Copyright 1999-2001  Jonathan A. Buzzard (jonathan@buzzard.org.uk)
#
# $Log:$
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id:$
#

VERSION=2.0.1

INSTALL = /usr/bin/install -c
BININSTALL = ${INSTALL}
MANINSTALL = ${INSTALL} -m 644
prefix = /usr/local
BINDESTDIR = ${prefix}
MANDESTDIR = ${prefix}/man

DESTDIR =

all:
	cd src; $(MAKE) all

depend:
	cd src; $(MAKE) depend

install: all install-doc install-prog install-module

install-doc:
	cd doc; $(MAKE) DESTDIR=$(DESTDIR) install

install-prog:
	cd src; $(MAKE) DESTDIR=$(DESTDIR) install-prog

install-module:
	cd src; $(MAKE) DESTDIR=$(DESTDIR) install-module

clean:
	cd doc; $(MAKE) clean
	cd src; $(MAKE) clean

distclean: clean
	cd doc; $(MAKE) distclean
	cd src; $(MAKE) distclean
	rm -f config.status config.cache config.log Makefile.old

dist:
	(rm -f ChangeLog; \
	rcs2log -R > ChangeLog; \
	rm -rf /tmp/toshutils-$(VERSION); \
	mkdir /tmp/toshutils-$(VERSION); \
	cp -p * /tmp/toshutils-$(VERSION); \
	cp -a ./doc/ /tmp/toshutils-$(VERSION); \
	cp -a ./src/ /tmp/toshutils-$(VERSION); \
	cp -a ./pixmaps/ /tmp/toshutils-$(VERSION); \
	cp -a ./contrib/ /tmp/toshutils-$(VERSION); \
	cp -a ./debian/ /tmp/toshutils-$(VERSION); \
	cd /tmp/toshutils-$(VERSION); \
	rm -f Makefile src/Makefile doc/Makefile; \
	chmod -R 644 * ; \
	chown -R root:root * ; \
	find -type d | xargs chmod 755; \
	chmod 755 configure config.guess config.sub install-sh src/fnfind; \
	cd ..; \
	tar cvf toshutils-$(VERSION).tar toshutils-$(VERSION); \
	gzip -9f toshutils-$(VERSION).tar; \
	echo Done.)

=== debian/changelog ===
toshutils (2.0.1-2) unstable; urgency=low

  * Added libgtk1.2-dev to Build-Depends.  Closes: #134903. 

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Feb 2002 14:09:12 +1100

toshutils (2.0.1-1) unstable; urgency=low

  * New upstream version.  Closes: #93127, #125425.
  * New standards version: 3.5.6.0.
  * Use DH_COMPAT=3 in debian/rules to get /etc/modutils/toshutils
    automatically flagged as a conffile.

 -- Drew Parsons <dparsons@debian.org>  Thu, 31 Jan 2002 01:29:47 +1100

toshutils (2.0-1) unstable; urgency=low

  * New upstream version.
  * Remove dependency on toshiba module package; do not provide that
    package any more.  Likewise remove suggest-dependencies on
    debhelper, gcc, etc, delete control-modules and remove
    module build entries in rules.
  * Build-dependency on xlib6g-dev changed to xlibs-dev.
  * Standards version 3.5.5.0.

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jul 2001 12:33:41 +1000

toshutils (1.9.10-1) unstable; urgency=low

  * New upstream version.
  * Set dependency on debhelper, gcc and friends to "suggests", since
    these are only required for building the toshiba module package.
    Closes: #84879.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2001 23:03:19 +1100

toshutils (1.9.9-7) unstable; urgency=low

  * New maintainer: Drew Parsons - now passed through the New Maintainer
    Queue!  Thanks, Joop, for all your support!
  * Tarred and gzipped the toshiba module code in /usr/src/modules,
    since the module is now in the kernel (2.2.17).  The tarred directory
    is renamed to "toshiba" rather than "toshutils".
  * Dependency on toshiba correspondingly downgraded from "recommends"
    to "suggests".
  * Applied patch offered by TSUCHIYA Masatoshi which corrects directory
    settings in debian/rules and other makefiles, allowing wmtuxtime's
    buttons to work properly.  Closes: #76353, #78705.
  * In debian/rules, epoch extracted from beginning of $KDREV, not from end.
    Closes: #75021.
  * Check for and remove control file in debian directory for old kernel
    module when running preinst, allowing for clean upgrade.
  * Lintian sez: put #DEBHELPER# in preinst.

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Dec 2000 23:45:11 +1100

toshutils (1.9.9-6) unstable; urgency=low

  * New maintainer: Drew Parsons
  * "Reccommends:" changed to "Recommends:" in Debian control file.
  * Upload on behalf of Drew, until he becomes a debian maintainer.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 23 Oct 2000 22:30:24 +1100

toshutils (1.9.9-5) unstable; urgency=low

  * Added docs about building the kernel module, etc. Closes: #66645

 -- Joey Hess <joeyh@debian.org>  Wed, 23 Aug 2000 00:53:00 -0700

toshutils (1.9.9-4) unstable; urgency=low

  * Removing debian/control from the binary package in the last version
    broke modules builds. Fixed that, Closes: #65039

 -- Joey Hess <joeyh@debian.org>  Mon, 12 Jun 2000 11:48:52 -0700

toshutils (1.9.9-3) unstable; urgency=low

  * Don't include debian/control in binary package, just control.modules. 

 -- Joey Hess <joeyh@debian.org>  Thu,  6 Apr 2000 12:37:19 -0700

toshutils (1.9.9-2) unstable; urgency=low

  * Corrected the building of the modules package so that the modules file
    is recognized.

 -- Joey Hess <joeyh@debian.org>  Wed,  5 Apr 2000 15:37:50 -0700

toshutils (1.9.9-1) frozen unstable; urgency=low

  * New upstream source. This is an upstream bug-fix release, that:
    - uses a reserved minor number now instead of squatting
    - fixes hang problems in hotkey
    - builds on 2.0.x kernels too
    - fixes thotswap
  * The toshutils package now includes the small amount of source code
    needed to build the toshiba kernel module, and it will integrate with
    kernel-package to build it when a new kernel is built. Closes: #54954
    (release critical; bug horizon)

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Feb 2000 14:24:03 -0800

toshutils (1.9.7-1) unstable; urgency=low

  * New upstream version, with module autoloading support.
  * No longer any need to add module to /etc/modules; removed that code.
  * Added module alias to support autoloading.

 -- Joey Hess <joeyh@debian.org>  Thu, 13 Jan 2000 15:50:05 -0800

toshutils (1.9.6-1) unstable; urgency=low

  * Major new upstream release. I'm not sure how well this is going to work,
    it contains a kernel module and who knows if it will work with all 2.2
    kernels.
  * Corrected download location.

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Jan 2000 16:49:17 -0800

toshutils (1.1-4) unstable; urgency=low

  * Build deps.

 -- Joey Hess <joeyh@debian.org>  Sat,  4 Dec 1999 16:40:08 -0800

toshutils (1.1-3) unstable; urgency=low

  * Removed install-stamp target, which can cause some problems.

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Sep 1999 13:30:55 -0700

toshutils (1.1-2) unstable; urgency=low

  * FHS

 -- Joey Hess <joeyh@debian.org>  Mon,  6 Sep 1999 16:52:06 -0700

toshutils (1.1-1) unstable; urgency=low

  * First release.

 -- Joey Hess <joeyh@debian.org>  Wed,  4 Aug 1999 12:10:36 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: toshutils
Section: utils
Priority: extra
Build-Depends: debhelper, xlibs-dev, yacc|bison, flex, libgtk1.2-dev
Maintainer: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.5.6.0

Package: toshutils
Architecture: i386
Conflicts: toshiba-fan, toshiba-hotkey, suidmanager (<< 0.50)
Provides: toshiba-fan, toshiba-hotkey
Replaces: toshiba-fan, toshiba-hotkey
Depends: ${shlibs:Depends}
Description: Toshiba laptop utilities
 This is a collection of utilities to control a Toshiba laptop. It includes
 programs to turn the fan on and off, to view the power mode, and to set
 the supervisor password.

## toshutils 2.0.1-5

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,9 @@
 INSTALL = /usr/bin/install -c
 BININSTALL = ${INSTALL}
 MANINSTALL = ${INSTALL} -m 644
-prefix = /usr/local
+prefix = /usr
 BINDESTDIR = ${prefix}
-MANDESTDIR = ${prefix}/man
+MANDESTDIR = /usr/share/man
 
 DESTDIR =

=== debian/changelog ===
toshutils (2.0.1-5) unstable; urgency=low

  * Change ./MAKEDEV to /sbin/MAKEDEV and make sure it exists before
    calling it in postinst.  Closes: #184896.

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Mar 2003 00:27:32 +1100

toshutils (2.0.1-4) unstable; urgency=low

  * Added dependency on makedev, required for pure devfs systems. 
    Patch from Torne Wuff improves devfs handling. Closes: #174102.
  * Gotta explicitly acknowledge the NMU to clear the bug. Closes: #167053.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2003 04:09:13 +1100

toshutils (2.0.1-3) unstable; urgency=low

  * Include fnfind along with the docs in /usr/share/doc.  Closes: #153069.
  * New standards version 3.5.8.
  * Use debhelper v4.

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Nov 2002 12:19:27 +1100

toshutils (2.0.1-2.1) unstable; urgency=low

  * Non-maintainer bugsquashing upload
  * Applied bison errors patch (thanks, Matt Kraai!) (Closes: #167053)

 -- Hwei Sheng Teoh <hsteoh@debian.org>  Sat, 23 Nov 2002 23:54:11 -0500

=== debian/control ===
Source: toshutils
Section: utils
Priority: extra
Build-Depends: debhelper (>> 4.0.0), xlibs-dev, yacc|bison, flex, libgtk1.2-dev
Maintainer: Drew Parsons <dparsons@debian.org>
Standards-Version: 3.5.8

Package: toshutils
Architecture: i386
Conflicts: toshiba-fan, toshiba-hotkey, suidmanager (<< 0.50)
Provides: toshiba-fan, toshiba-hotkey
Replaces: toshiba-fan, toshiba-hotkey
Depends: ${shlibs:Depends}, makedev
Description: Toshiba laptop utilities
 This is a collection of utilities to control a Toshiba laptop. It includes
 programs to turn the fan on and off, to view the power mode, and to set
 the supervisor password.

=== debian/rules ===
#!/usr/bin/make -f
# This script now only processes the source package alone, 
# there is no longer any kernel module package.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

TOP=$(shell pwd)/debian/toshutils
    
# Build everything
build: build-stamp
build-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man
	$(MAKE) depend
	$(MAKE) all
	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	dh_clean src/Makefile

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files that aren't kernel modules here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/share/man/man1 usr/share/man/man8 usr/bin \
		usr/X11R6/include/X11/pixmaps \

	cp pixmaps/fan*.xpm pixmaps/displayswitch.xpm pixmaps/tuxtime.xpm \
		debian/toshutils/usr/X11R6/include/X11/pixmaps
	$(MAKE) BINDESTDIR=$(TOP)/usr/bin MANDESTDIR=$(TOP)/usr/share/man install-doc
	$(MAKE) BINDESTDIR=$(TOP)/usr/bin MANDESTDIR=$(TOP)/usr/share/man install-prog

	dh_installdocs README* TODO CONTRIBUTE FAQ src/fnfind
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_installmodules
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
